/**
 * @file
 * Activate the Assistant.
 */

(function ($, Drupal, once) {
  Drupal.behaviors.site_assistant = {
    attach: function attach(context, settings) {
      const assistants = once('site_assistant.assistant', '.site-assistant', context);
      assistants.forEach((assistant) => {

        var pageModels = [];

        const assistant_pages = once('site_assistant.assistant_page', '[data-assistant-page]', assistant);

        assistant_pages.forEach((index) => {
          const pageModel = new Drupal.site_assistant.AssistantPageModel({
            el: index,
            id: $(index).data('assistant-page')
          });
          pageModels.push(pageModel);
        });

        const pageCollection = new Drupal.site_assistant.AssistantPageCollection(pageModels);

        var model = new Drupal.site_assistant.AssistantModel({
          pages: $(assistant).find('[data-assistant-page]')
        });

        new Drupal.site_assistant.AssistantNavigationView({
          el: $(assistant).find('.assistant-navigation')[0],
          pageCollection: pageCollection,
          model: model
        });
        new Drupal.site_assistant.AssistantView({
          el: assistant,
          $window: $(assistant).find('.site-assistant__window'),
          window: $(assistant).find('.site-assistant__window')[0],
          pageCollection: pageCollection,
          model: model
        });
      });
    }
  };

  Drupal.site_assistant = Drupal.site_assistant || {
    models: {},

    views: {}
  };
})(jQuery, Drupal, once);
