<?php

namespace Drupal\site_assistant;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\Core\Entity\EntityPublishedInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface defining a Help Section entity.
 *
 * @ingroup site_assistant
 */
interface AssistantInterface extends ContentEntityInterface, EntityOwnerInterface, EntityChangedInterface, EntityPublishedInterface {

  /**
   * Gets the term weight.
   *
   * @return int
   *   The term weight.
   */
  public function getWeight(): int;

  /**
   * Sets the term weight.
   *
   * @param int $weight
   *   The term weight.
   *
   * @return $this
   */
  public function setWeight(int $weight): static;

  /**
   * Helper to get visibility condition plugins set in assistant entity.
   *
   * @return iterable|null Array of condition plugins.
   *   Array of condition plugins.
   */
  public function getVisibilityPlugins(): ?iterable;

}
