<?php

namespace Drupal\site_assistant\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the Assistant list entry type configuration entity.
 *
 * @ingroup site_assistant
 *
 * @ConfigEntityType(
 *   id = "assistant_list_entry_type",
 *   label = @Translation("Assistant list entry type"),
 *   label_collection = @Translation("Assistant list entry types"),
 *   label_singular = @Translation("assistant list entry type"),
 *   label_plural = @Translation("assistant list entries types"),
 *   label_count = @PluralTranslation(
 *     singular = "@count assistant list entries type",
 *     plural = "@count assistant list entries types",
 *   ),
 *   handlers = {
 *     "form" = {
 *       "add" = "Drupal\site_assistant\Form\AssistantListEntryTypeForm",
 *       "edit" = "Drupal\site_assistant\Form\AssistantListEntryTypeForm",
 *       "delete" = "Drupal\Core\Entity\EntityDeleteForm",
 *     },
 *     "list_builder" = "Drupal\site_assistant\AssistantListEntryTypeListBuilder",
 *     "route_provider" = {
 *       "html" = "Drupal\Core\Entity\Routing\AdminHtmlRouteProvider",
 *     },
 *   },
 *   admin_permission = "administer site_assistant",
 *   bundle_of = "assistant_list_entry",
 *   config_prefix = "assistant_list_entry_type",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid",
 *   },
 *   links = {
 *     "add-form" = "/admin/structure/site_assistant/entry_type/add",
 *     "edit-form" = "/admin/structure/site_assistant/entry_type/{assistant_list_entry_type}/edit",
 *     "delete-form" = "/admin/structure/site_assistant/entry_type/{assistant_list_entry_type}/delete",
 *     "collection" = "/admin/structure/site_assistant/entry_type/list",
 *   },
 *   config_export = {
 *     "id",
 *     "label",
 *     "uuid",
 *   },
 * )
 */
class AssistantListEntryType extends ConfigEntityBundleBase {

  /**
   * The machine name of this assistant list entry type.
   */
  protected string $id;

  /**
   * The human-readable name of the assistant list entry type.
   */
  protected string $label;

}
